Summary:        Powerful light-weight programming language (compat version)
Name:           compat-lua
Version:        5.1.5
Release:        5%{?dist}
License:        MIT
URL:            http://www.lua.org
Source0:        %{url}/ftp/lua-%{version}.tar.gz

Patch3000:      lua-5.1.4-autotoolize.patch
Patch3001:      lua-5.1.4-lunatic.patch
Patch3002:      lua-5.1.4-idsize.patch
Patch3003:      lua-5.1.4-pc-compat.patch

BuildRequires:  readline-devel ncurses-devel libtool make
Requires:       %{name}-libs = %{version}-%{release}
Provides:       lua = 5.1
Provides:       lua5.1 = %{version}-%{release}
Provides:       lua5.1 = %{version}-%{release}

%description
This package contains a compatibility version of the lua-5.1 binaries.

%package libs
Summary:        Powerful light-weight programming language (compat version)
Provides:       lua(abi) = 5.1
Provides:       lua5.1-libs = %{version}-%{release}
Provides:       lua5.1-libs = %{version}-%{release}

%description libs
This package contains a compatibility version of the lua-5.1 libraries.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Provides:       lua5.1-devel = %{version}-%{release}
Provides:       lua5.1-devel = %{version}-%{release}

%description devel
This package contains development files for compat-lua-libs.

%prep
%autosetup -n lua-%{version} -p1

chmod u+x autogen.sh config.guess config.sub configure depcomp install-sh missing

%build
autoreconf -if
%configure --with-readline
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build LIBS="-lm -ldl" luac_LDADD="liblua.la -lm -ldl"
sed -i 's/-lreadline -lncurses //g' etc/lua.pc

%install
%make_install
rm -f %{buildroot}%{_libdir}/liblua.{a,la}
mkdir -p %{buildroot}%{_libdir}/lua/5.1
mkdir -p %{buildroot}%{_datadir}/lua/5.1
mv %{buildroot}%{_bindir}/lua %{buildroot}%{_bindir}/lua-5.1
mv %{buildroot}%{_bindir}/luac %{buildroot}%{_bindir}/luac-5.1
mv %{buildroot}%{_mandir}/man1/lua.1 %{buildroot}%{_mandir}/man1/lua-5.1.1
mv %{buildroot}%{_mandir}/man1/luac.1 %{buildroot}%{_mandir}/man1/luac-5.1.1

mkdir -p %{buildroot}%{_includedir}/lua-5.1
mv %{buildroot}%{_includedir}/l*h* %{buildroot}%{_includedir}/lua-5.1
mv %{buildroot}%{_libdir}/pkgconfig/lua.pc %{buildroot}%{_libdir}/pkgconfig/lua-5.1.pc

rm -f %{buildroot}%{_libdir}/liblua.so

%files
%{_bindir}/lua-5.1
%{_bindir}/luac-5.1
%{_mandir}/man1/lua*5.1.1*

%files libs
%license COPYRIGHT
%doc HISTORY README doc/*.html doc/*.css doc/*.gif doc/*.png
%{_libdir}/liblua-5.1.so
%dir %{_libdir}/lua
%dir %{_libdir}/lua/5.1
%dir %{_datadir}/lua
%dir %{_datadir}/lua/5.1

%files devel
%{_includedir}/lua-5.1/
%{_libdir}/pkgconfig/lua-5.1.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 5.1.5-1
- initial build
